Subject: Re: PlWin Chrashes on Halt

From: [email-masked] (Uwe Lesta)
Date: Thu, 19 Oct 2000 16:24:33 +0200

Jan Wielemaker schrieb:

> This is a known problem I'm hunting for a long time.
> On most systems there is nothing wrong, on a few Prolog
> crashes at exit, but the machine stays fine and on
> some others the symptoms you describe occur.  It is
> specific to Windows 95 and 98.  NT and 2000 have no
> problems.
> 
> Sofar one of the solutions appears to install MSVC.
> (The micorsoft C development stuff).  Unfortunately
> that precisely is the reason it is so hard to track this
> problem.
> 
> Any hints for tracking it are more then welcome. If
> all I had was stack dump ...

Well, Jan have no machine to test it and I'll try to reproduce the
error.
I had tried it on a fresh installed Win98 and Win95 with w32pl3310.exe
and have no error when I close prolog.

So please tell me:

On which system occurs the error (OS version number, installed software,
...) ?

How is w32pl3310.exe installed (pathes ....) ?

What must i do in SWI-Prolog before i close it to get this error ?

-- 

Regards

Uwe
[email-masked]